\addcontentsline{toc}{section}{Abstract (English)}
\section *{Abstract (English)}\smallskip
\subsection{summary}\smallskip
The Niob Engine is an open source game engine, developed for usage in C\# . It is built upon a Library used for Visualization called HelixToollkit. Functionality is expanded by the addition of physics-simulation, support for input and output devices, a sound engine and a broad spectrum of smaller features.
\\
\subsection*{A Task at Hand}\smallskip
%\begin{itemize}
%	\item What level of knowledge or development is assumed in the context of the task or what results and findings already exist on the topic?
%	\item What goal is to be achieved?
%end{itemize}

Computer games are becoming increasingly popular nowadays. In most cases, a so-called game engine is used to create these games, a basic framework with various functions that facilitates programming. Since there are numerous wishes and ideas about what a game engine should be able to do, the idea arose to design such an engine as an open-source project, where everything can be programmed the way the user wants it. At the beginning of the thesis, there was no usable project with visible source code. If a function is not available, each user should be able to modify the engine according to his or her own preferences. Good applicability in teaching is desired.

\\

\subsection*{B Implementation}\smallskip
%\begin{itemize}
%	\item What theoretical / practical foundations were used?
%	\item Which approaches / methods were chosen?
%	\item Why this particular one and no others?
%	\item What other alternatives are there?
%	\item It might be possible to discuss the process of working in the team (reflection).
%\end{itemize}

The library Helix Toolkit is used as the basis for the game engine.
Toolkit is used as the basis for the game engine. This is mainly responsible for importing and the display of 3D objects. The Niob Game Engine adds inputs and outputs as well as a physics engine. 
\\
\subsection*{C Results}\smallskip
%\begin{itemize}
%	\item What is the contribution to solving the task? (Website creation, marketing concept, ...)
%	\item What product is to be created?
%	\item It could be mentioned whether the thesis has been submitted to competitions or whether there have been awards.
%\end{itemize}

The result is a game engine WPF application that, among other things, supports MEGACard engine communication, handles audio management, performs numerous physics calculations and greatly simplifies the implementation of 3D graphics, so that 3D programming can be explained earlier in FSST lessons. In addition, a basis for numerous other project possibilities has been created.